import { CalculatorResults } from "../../results/calculator-results";

export abstract class FormResult {

    /** copy of options.resultsHelp read by FormDefinition.parseOptions() */
    public helpLinks: { [key: string]: string };

    public abstract resetResults();

    public abstract get hasResults(): boolean;

    public abstract get results(): CalculatorResults[];
}
